<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (version 1.7.0_11) on Tue Apr 02 22:23:02 BRT 2019 -->
<meta http-equiv="Content-Type" content="text/html" charset="UTF-8">
<title>RegistroFinanceiro</title>
<meta name="date" content="2019-04-02">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="RegistroFinanceiro";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistroFinanceiro.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../br/unisal/aula/model/RegistroFinanceiro_.html" title="class in br.unisal.aula.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?br/unisal/aula/model/RegistroFinanceiro.html" target="_top">Frames</a></li>
<li><a href="RegistroFinanceiro.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">br.unisal.aula.model</div>
<h2 title="Class RegistroFinanceiro" class="title">Class RegistroFinanceiro</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>br.unisal.aula.model.RegistroFinanceiro</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>@Entity
public class <span class="strong">RegistroFinanceiro</span>
extends java.lang.Object
implements java.io.Serializable</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../serialized-form.html#br.unisal.aula.model.RegistroFinanceiro">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#RegistroFinanceiro()">RegistroFinanceiro</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#RegistroFinanceiro(int, java.lang.String, java.lang.String, double, java.lang.String, java.util.Date)">RegistroFinanceiro</a></strong>(int&nbsp;id,
                  java.lang.String&nbsp;descricao,
                  java.lang.String&nbsp;tipo,
                  double&nbsp;valor,
                  java.lang.String&nbsp;categoria,
                  java.util.Date&nbsp;data)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#getCategoria()">getCategoria</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#getData()">getData</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#getDescricao()">getDescricao</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#getId()">getId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#getTipo()">getTipo</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#getValor()">getValor</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#setCategoria(java.lang.String)">setCategoria</a></strong>(java.lang.String&nbsp;categoria)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#setData(java.util.Date)">setData</a></strong>(java.util.Date&nbsp;data)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#setDescricao(java.lang.String)">setDescricao</a></strong>(java.lang.String&nbsp;descricao)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#setId(int)">setId</a></strong>(int&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#setTipo(java.lang.String)">setTipo</a></strong>(java.lang.String&nbsp;tipo)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../br/unisal/aula/model/RegistroFinanceiro.html#setValor(double)">setValor</a></strong>(double&nbsp;valor)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RegistroFinanceiro()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RegistroFinanceiro</h4>
<pre>public&nbsp;RegistroFinanceiro()</pre>
</li>
</ul>
<a name="RegistroFinanceiro(int, java.lang.String, java.lang.String, double, java.lang.String, java.util.Date)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RegistroFinanceiro</h4>
<pre>public&nbsp;RegistroFinanceiro(int&nbsp;id,
                  java.lang.String&nbsp;descricao,
                  java.lang.String&nbsp;tipo,
                  double&nbsp;valor,
                  java.lang.String&nbsp;categoria,
                  java.util.Date&nbsp;data)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;int&nbsp;getId()</pre>
</li>
</ul>
<a name="setId(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre>public&nbsp;void&nbsp;setId(int&nbsp;id)</pre>
</li>
</ul>
<a name="getDescricao()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescricao</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDescricao()</pre>
</li>
</ul>
<a name="setDescricao(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDescricao</h4>
<pre>public&nbsp;void&nbsp;setDescricao(java.lang.String&nbsp;descricao)</pre>
</li>
</ul>
<a name="getTipo()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTipo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTipo()</pre>
</li>
</ul>
<a name="setTipo(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTipo</h4>
<pre>public&nbsp;void&nbsp;setTipo(java.lang.String&nbsp;tipo)</pre>
</li>
</ul>
<a name="getValor()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValor</h4>
<pre>public&nbsp;double&nbsp;getValor()</pre>
</li>
</ul>
<a name="setValor(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValor</h4>
<pre>public&nbsp;void&nbsp;setValor(double&nbsp;valor)</pre>
</li>
</ul>
<a name="getCategoria()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCategoria</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCategoria()</pre>
</li>
</ul>
<a name="setCategoria(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCategoria</h4>
<pre>public&nbsp;void&nbsp;setCategoria(java.lang.String&nbsp;categoria)</pre>
</li>
</ul>
<a name="getData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getData</h4>
<pre>public&nbsp;java.util.Date&nbsp;getData()</pre>
</li>
</ul>
<a name="setData(java.util.Date)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setData</h4>
<pre>public&nbsp;void&nbsp;setData(java.util.Date&nbsp;data)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RegistroFinanceiro.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../br/unisal/aula/model/RegistroFinanceiro_.html" title="class in br.unisal.aula.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?br/unisal/aula/model/RegistroFinanceiro.html" target="_top">Frames</a></li>
<li><a href="RegistroFinanceiro.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
